( function( $ ) {
	"use strict";

	// Init Color Picker.
	$( '.wcss-color-selector').wpColorPicker();

	// Init select2
	jQuery('.wcss-select2').select2();

	jQuery( document ).on('click', '#wcss-print-saved-cart', function(event) {
		event.preventDefault();
		jQuery( '#wcss-cart' ).printThis( {
			importStyle: true,
		} );
	});

	jQuery( document ).on('click', '#wcss-send-saved-cart-form-tigger', function(event) {
		event.preventDefault();
		jQuery( '#wcss-send-saved-cart-form' ).slideToggle();
	});

	/**
	 * Conditionally show or hide "Buttons Status" option.
	 */
	function wcss_buttons_status_visiablity() {
		var button_location  = jQuery( '#wcss_trigger_button_location' ).val();
		var save_cart_status = jQuery( '#wcss_user_can_save_cart' );

		if ( 'off' === button_location ) {
			jQuery( '[name="wcss_trigger_buttons_status"]' ).closest( 'tr' ).hide();
		} else {
			jQuery( '[name="wcss_trigger_buttons_status"]' ).closest( 'tr' ).show();
		}

		if ( save_cart_status.is( ':checked' ) ) {
			jQuery( '[for="wcss_trigger_buttons_status[save_cart]"]' ).show();
		} else {
			jQuery( '[for="wcss_trigger_buttons_status[save_cart]"]' ).hide();
		}
	}

	jQuery( document ).on( 'ready', wcss_buttons_status_visiablity );
	jQuery( '#wcss_trigger_button_location' ).on( 'change', wcss_buttons_status_visiablity );
	jQuery( '#wcss_user_can_save_cart' ).on( 'click', wcss_buttons_status_visiablity );

	/**
	 * Copy cart link.
	 *
	 * @since 2.0.6
	 */
	$( 'td.column-cart_key .copy a' ).on( 'click', function( e ) {
		e.preventDefault();

		var $this      = $( this );
		var copyText   = $this.text();
		var copiedText = wcssAdminObj.text_cart_link_copied;

		$this.text( copiedText );

		setTimeout( function() {
			$this.text( copyText );
		}, 500 );
	} );

	/**
	 * Preview email cart handle.
	 */
	$( '#wcss-preview-email-cart-form' ).on( 'submit', function( e ) {
		e.preventDefault();

		var cartKey   = $( this ).find( '[name="cart_key"]' ).val();
		var homeUrl   = $( this ).find( '[name="home_url"]' ).val();
		var iframeUrl = homeUrl + '&wcss_preview_email_cart=' + cartKey;

		$( '#wcss-preview-email-cart' ).html( '<iframe src="' + iframeUrl + '" frameborder="0"></iframe>' );
	} );

})(jQuery)
