<?php

// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

class WCSS_Admin_Preview_Email_Cart {

	public function __construct() {
		add_action( 'wp', array( $this, 'preview_email_cart' ) );
	}

	public function preview_email_cart() {
		if ( ! isset( $_GET['wcss_preview_email_cart'] ) ) {
			return;
		}

		$cart_key     = sanitize_text_field( $_GET['wcss_preview_email_cart'] );
		$shared_cart  = wcss_get_shared_cart( $cart_key );

		if ( $shared_cart->is_exists() ) {
			$cart_session = $shared_cart->get_cart_value();

			// Set the session
			WC()->session->cart            = $cart_session['cart'];
			WC()->session->cart_totals     = $cart_session['cart_totals'];
			WC()->session->applied_coupons = $cart_session['applied_coupons'];

			WC()->cart->get_cart_from_session();
			WC()->cart->calculate_totals();

			wcss_get_template(
				'email-cart/email-cart.php',
				array(
					'cart_key'                  => $cart_key,
					'cart_link'                 => wcss_get_cart_link( $cart_key ),
					'message'                   => '',
					'brand_name'                => get_option( 'wcss_email_brand_name' ),
					'brand_logo_url'            => get_option( 'wcss_email_brand_logo_url' ),
					'retrieve_cart_button_text' => get_option( 'wcss_email_retrieve_cart_button_text' ),
				)
			);
		} else {
			esc_html_e( 'Shared or saved cart not found.', 'woo-cart-share' );
		}

		exit;
	}
}

return new WCSS_Admin_Preview_Email_Cart();
