<?php

// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'wcss_is_cart_empty' ) ) {
	/**
	 * Check for woocommerce cart status.
	 *
	 * @return bool
	 */
	function wcss_is_cart_empty() {
		return WC()->cart->get_cart_contents_count() === 0 ? true : false;
	}
}

/**
 * Generate unique 5 characters alphanumeric cart key.
 *
 * @since 2.2.0
 * @return string 5 characters alphanumeric cart key.
 */
function wcss_generate_cart_key() {
	$charset = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
	$base    = strlen( $charset );
	$result  = '';

	$now = explode( ' ', microtime() );
	$now = $now[1];

	while ( $now >= $base ) {
		$i      = $now % $base;
		$result = $charset[ $i ] . $result;
		$now   /= $base;
	}

	return apply_filters( 'wcss_generate_cart_key', substr( $result, -5 ) );
}
