<?php
/**
 * Email cart header.
 *
 * @package WeCreativez\Templates
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

do_action( 'wcss_before_email_template_start' );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>" />
		<title><?php echo get_bloginfo( 'name', 'display' ); ?></title>

		<style type="text/css">
			/* Client-specific Styles */
			#outlook a { padding:0; } /* Force Outlook to provide a "view in browser" menu link. */
			body{ width:100% !important; -webkit-text-size-adjust:100%; -ms-text-size-adjust:100%; margin:0; }
		</style>

	</head>
	<body <?php echo is_rtl() ? 'rightmargin' : 'leftmargin'; ?>="0" marginwidth="0" topmargin="0" marginheight="0" offset="0" class="<?php echo is_rtl() ? 'rtl' : 'ltr' ?>">

		<div style="display: none;"><?php echo $message; // WPCS: XSS ok. ?></div>

		<div id="wrapper" dir="<?php echo is_rtl() ? 'rtl' : 'ltr'; ?>">

			<?php do_action( 'wcss_before_email_header' ); ?>

			<table cellspacing="0" id="header">

				<?php if ( get_option( 'wcss_email_brand_logo_url' ) ) : ?>
				<tr>
					<td height="30"></td>
				</tr>
				<tr>
					<td>
						<img src="<?php echo esc_url( get_option( 'wcss_email_brand_logo_url' ) ); ?>" class="logo" alt="<?php echo get_bloginfo( 'name', 'display' ); ?>">
					</td>
				</tr>
				<tr>
					<td height="10"></td>
				</tr>
				<?php endif; ?>

				<?php if ( get_option( 'wcss_email_brand_name' ) ) : ?>
				<tr>
					<td height="10"></td>
				</tr>
				<tr>
					<td>
						<a href="<?php echo home_url(); ?>" class="brand-name"><?php echo esc_html( get_option( 'wcss_email_brand_name' ) ); ?></a>
					</td>
				</tr>
				<tr>
					<td height="30"></td>
				</tr>
				<?php endif; ?>

			</table>

			<?php do_action( 'wcss_after_email_header' ); ?>

			<?php do_action( 'wcss_before_email_body' ); ?>

			<?php if ( isset( $message ) && ! empty( $message ) ) : ?>
			<table>
				<tr>
					<td height="20"></td>
				</tr>
				<tr>
					<td class="description"><?php echo wp_kses_post( wpautop( wp_unslash( $message ) ) ); ?></td>
				</tr>
				<tr>
					<td height="10"></td>
				</tr>
			</table>
			<?php endif; ?>
