<form id="wcss-saved-cart-search" action="#">
	<input type="text" placeholder="<?php echo esc_attr( get_option( 'wcss_my_account_saved_cart_search_placeholder_text' ) ); ?>">
</form>

<table class="table wcss-saved-cart-table">

	<thead>
		<tr>
			<th>#</th>
			<th><?php esc_html_e( 'Cart Name', 'woo-cart-share' ); ?></th>
			<th><?php esc_html_e( 'Action', 'woo-cart-share' ); ?></th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<th>#</th>
			<th><?php esc_html_e( 'Cart Name', 'woo-cart-share' ); ?></th>
			<th><?php esc_html_e( 'Action', 'woo-cart-share' ); ?></th>
		</tr>
	</tfoot>

	<tbody>

		<?php
		$count          = 1;
		$buttons_status = get_option( 'wcss_trigger_buttons_status', array() );
		foreach ( $saved_carts as $saved_cart_obj ) :
			// Backward compatibility.
			$saved_cart['cart_key'] = $saved_cart_obj->get_cart_key();

			// Get cart link by cart_key
			$cart_url = wcss_get_cart_link( $saved_cart_obj->get_cart_key() );
			?>

			<tr>
				<td><?php echo $count; ?></td>
				<td>
					<strong data-wcss-cart-name="<?php echo esc_html( $saved_cart_obj->get_cart_name() ); ?>"><?php echo esc_html( $saved_cart_obj->get_cart_name() ); ?></strong>
					<p><?php echo esc_html( wcss_date( $saved_cart_obj->get_cart_saved() ) ); ?></p>
				</td>
				<td>
					<?php
						$buttons = array();

						$buttons['restore_cart'] = sprintf( '<a href="%s" class="button">%s</a>&nbsp;', esc_url( $cart_url ), esc_html( get_option( 'wcss_my_account_restore_button_lable' ) ) );

						if ( isset( $buttons_status['share_cart'] ) && 'yes' === $buttons_status['share_cart'] ) {
							$buttons['share_cart']   = sprintf( '<a href="javascript:;" class="button" data-wcss-share-saved-cart="%s">%s</a>&nbsp;', esc_html( $saved_cart_obj->get_cart_key() ), esc_html( get_option( 'wcss_my_account_share_button_lable' ) ) );
						}

						$buttons['delete_cart']  = sprintf( '<a href="%s" class="button" onClick="return confirm( \'%s\' )">%s</a>&nbsp;', esc_url( '?wcss_delete_saved_cart=' . $saved_cart_obj->get_cart_key() ), esc_html__( 'Are you sure?', 'woo-cart-share' ), esc_html( get_option( 'wcss_my_account_delete_button_lable' ) ) );

						/**
						 * My account buttons filter.
						 *
						 * @since 1.9.1
						 * @since 2.0.0 Deprecated `$saved_cart`.
						 * @since 2.0.0 Added `$saved_cart_obj`.
						 *
						 * @param array           $buttons    Buttons array.
						 * @param array           $saved_cart Saved cart array.
						 * @param WCSS_Saved_Cart $saved_cart_obj Saved cart object.
						 */
						$buttons = apply_filters( 'wcss_my_account_buttons', $buttons, $saved_cart, $saved_cart_obj );

						foreach ( $buttons as $button ) {
							echo $button;
						}
					?>
				</td>
			</tr>

			<?php
			$count++;
			endforeach;
		?>

	</tbody>

</table>
